<?php
class LSTUsuarios extends AppListado{
	
	
	public function init(){
		
		$this->clase = 'Usuario';
		
		$this->addAccion('nuevo', 'Nuevo', '/usuarios/editar');
		
		$columan = new AppColumna('nombre', '$nombre#', 'Nombre');
		$columan->setordenarPorDefecto(true);
		$this->addColumna($columan);
		
		
		$columan = new AppColumna('email', '$email#', 'email');
		$this->addColumna($columan);
		
		$acciones = new CLMAccion('acciones', 'usuarios');
		$acciones->addAccionEditar(array('id'=> '$id_usuario#'), 'editar');
		$acciones->addAccion('', 'Cambiar contraseña', VstIcono::APP_icon_edit, array('id'=>'$id_usuario#'), 'cambiarpass');
		$acciones->addAccionEliminar(array('id'=>'$id_usuario#'), '¿Desea eliminar al usuario $nombre#?');
		
		$this->addColumna($acciones);
		
	}
	
}
